Update AI summary (PUT)
curl --request PUT \
--url https://api.onvy.health/users/{user_id}/ai/summaries/{summary_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"user_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period": {
"id": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"duration_seconds": 123
},
"data": {},
"llm_output": {
"language": "<string>",
"title": "<string>",
"text": "<string>",
"followup_questions": [
"<string>"
]
},
"providers": [],
"is_custom": true,
"ref": "<string>",
"knowledge_urls": [
{
"title": "<string>",
"url": "<string>"
}
],
"user_comment": "<string>",
"llm_debug": {
"model": "<string>",
"prompt_id": "<string>",
"org_prompt_id": "<string>"
}
}
'import requests
url = "https://api.onvy.health/users/{user_id}/ai/summaries/{summary_id}"
payload = {
"id": "<string>",
"user_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period": {
"id": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"duration_seconds": 123
},
"data": {},
"llm_output": {
"language": "<string>",
"title": "<string>",
"text": "<string>",
"followup_questions": ["<string>"]
},
"providers": [],
"is_custom": True,
"ref": "<string>",
"knowledge_urls": [
{
"title": "<string>",
"url": "<string>"
}
],
"user_comment": "<string>",
"llm_debug": {
"model": "<string>",
"prompt_id": "<string>",
"org_prompt_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
user_id: '<string>',
project_id: '<string>',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
period: {
id: '<string>',
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
duration_seconds: 123
},
data: {},
llm_output: {
language: '<string>',
title: '<string>',
text: '<string>',
followup_questions: ['<string>']
},
providers: [],
is_custom: true,
ref: '<string>',
knowledge_urls: [{title: '<string>', url: '<string>'}],
user_comment: '<string>',
llm_debug: {model: '<string>', prompt_id: '<string>', org_prompt_id: '<string>'}
})
};
fetch('https://api.onvy.health/users/{user_id}/ai/summaries/{summary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "WorkoutSummary",
"user_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period": {
"type": "activity",
"id": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"duration_seconds": 123
},
"data": {},
"llm_output": {
"language": "<string>",
"title": "<string>",
"text": "<string>",
"followup_questions": [
"<string>"
]
},
"providers": [
"GARMIN"
],
"is_custom": true,
"ref": "<string>",
"knowledge_urls": [
{
"title": "<string>",
"url": "<string>"
}
],
"user_comment": "<string>",
"user_rating": -1,
"llm_debug": {
"model": "<string>",
"prompt_id": "<string>",
"org_prompt_id": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}ai-summaries
Update AI summary (PUT)
Fully update an AI summary
PUT
/
users
/
{user_id}
/
ai
/
summaries
/
{summary_id}
Update AI summary (PUT)
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
AI Summary ID
Body
application/json
Complete AI summary data
Unique summary identifier
Available options:
WorkoutSummary, MindfulsessionSummary, MealSummary, SleepSummary, DailySummary, WeeklySummary, TrendSummary, ImpactSummary, WeeklyActivitySummary, DailyNutritionSummary, WeeklyNutritionSummary Show child attributes
Show child attributes
Additional metrics specific to summary type
Show child attributes
Show child attributes
Available options:
GARMIN, APPLE, OURA, FITBIT, WHOOP If provided by customer POST
Optional reference to original data
Show child attributes
Show child attributes
-1 = bad, 0 = no rating, 1 = good
Available options:
-1, 0, 1 Show child attributes
Show child attributes
Response
AI summary updated successfully
Unique summary identifier
Available options:
WorkoutSummary, MindfulsessionSummary, MealSummary, SleepSummary, DailySummary, WeeklySummary, TrendSummary, ImpactSummary, WeeklyActivitySummary, DailyNutritionSummary, WeeklyNutritionSummary Show child attributes
Show child attributes
Additional metrics specific to summary type
Show child attributes
Show child attributes
Available options:
GARMIN, APPLE, OURA, FITBIT, WHOOP If provided by customer POST
Optional reference to original data
Show child attributes
Show child attributes
-1 = bad, 0 = no rating, 1 = good
Available options:
-1, 0, 1 Show child attributes
Show child attributes
Was this page helpful?